## libmali-mtk 48p0+git20240923.704256e

=== Makefile ===
# Copyright (C) 2020  BayLibre, SAS
# Author: Fabien Parent <fparent@baylibre.com>

LIBDIR ?= "/usr/lib"
DATADIR ?= "/usr/share"
INCLUDEDIR ?= "/usr/include"
SYSCONFDIR ?= "/etc"
FIRMWAREDIR ?= "/lib/firmware"

INSTALL_FIRMWARE ?= 0
INSTALL_VKLAYER ?= 0

MALI_PATH="$(SOC)/$(MALI_VERSION)"

ifndef SOC
$(error SOC is unsdefined)
endif

ifndef MALI_VERSION
$(error MALI_VERSION is undefined)
endif


LIBS=$(MALI_PATH)/usr/lib/*.so*
FIRMWARES=$(MALI_PATH)/firmware/*

$(info INSTALL_FIRMWARE=$(INSTALL_FIRMWARE))
$(info INSTALL_VKLAYER=$(INSTALL_VKLAYER))

all:

install:
	install -d $(INCLUDEDIR)
	install -d $(INCLUDEDIR)/EGL
	install -d $(INCLUDEDIR)/GL
	install -d $(INCLUDEDIR)/GL/internal
	install -d $(INCLUDEDIR)/GLES
	install -d $(INCLUDEDIR)/GLES2
	install -d $(INCLUDEDIR)/GLES3
	install -d $(INCLUDEDIR)/KHR
	install $(MALI_PATH)/usr/include/*.h $(INCLUDEDIR)
	install $(MALI_PATH)/usr/include/EGL/* $(INCLUDEDIR)/EGL
	install $(MALI_PATH)/usr/include/GL/*.h $(INCLUDEDIR)/GL
	install $(MALI_PATH)/usr/include/GL/internal/* $(INCLUDEDIR)/GL/internal
	install $(MALI_PATH)/usr/include/GLES/* $(INCLUDEDIR)/GLES
	install $(MALI_PATH)/usr/include/GLES2/* $(INCLUDEDIR)/GLES2
	install $(MALI_PATH)/usr/include/GLES3/* $(INCLUDEDIR)/GLES3
	install $(MALI_PATH)/usr/include/KHR/* $(INCLUDEDIR)/KHR

	install -d $(SYSCONFDIR)/OpenCL/vendors/
	install $(MALI_PATH)/etc/OpenCL/vendors/libmali.icd $(SYSCONFDIR)/OpenCL/vendors/

	install -d $(LIBDIR)
	cp -a $(LIBS) $(LIBDIR)

	install -d $(LIBDIR)/pkgconfig
	install $(MALI_PATH)/usr/lib/pkgconfig/*.pc $(LIBDIR)/pkgconfig

	install -d $(DATADIR)/vulkan
	install -d $(DATADIR)/vulkan/icd.d
	install $(MALI_PATH)/usr/share/vulkan/icd.d/mali.json \
		$(DATADIR)/vulkan/icd.d/mali.json

ifeq ($(INSTALL_VKLAYER), 1)
	$(info $(SOC) installs vulkan override layer config to $(DATADIR)/vulkan/implicit_layer.d)
	install -d $(DATADIR)/vulkan
	install -d $(DATADIR)/vulkan/implicit_layer.d
	install $(MALI_PATH)/usr/share/vulkan/implicit_layer.d/VkLayer_window_system_integration.json \
		$(DATADIR)/vulkan/implicit_layer.d/VkLayer_window_system_integration.json
	install $(MALI_PATH)/usr/share/vulkan/implicit_layer.d/libVkLayer_window_system_integration.so \
		$(DATADIR)/vulkan/implicit_layer.d/libVkLayer_window_system_integration.so
endif


ifeq ($(INSTALL_FIRMWARE), 1)
	$(info $(SOC) installs gpu firmware to $(FIRMWAREDIR))
	install -d $(FIRMWAREDIR)
	cp $(FIRMWARES) $(FIRMWAREDIR)
endif

=== debian/changelog ===
libmali-mtk (48p0+git20240923.704256e-0ubuntu2) jammy; urgency=medium

  * Implement backwards-compatibility from r43p0 to r48p0 in preinst

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 24 Sep 2024 15:01:33 +0200

libmali-mtk (48p0+git20240729.54c41f1-0ubuntu1) jammy; urgency=medium

  [ Asal Mirzaieva ]
  * Bump to r48p0
  * Remove libwayland-egl related hacks

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 11 Jul 2024 13:50:34 +0000

libmali-mtk (43p0+d1985cb-0ubuntu7) jammy; urgency=medium

  * Rename the binary packages to libmali-mtk-XXXX

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Fri, 19 Jan 2024 18:58:06 +0100

libmali-mtk (43p0+d1985cb-0ubuntu6) jammy; urgency=medium

  * Rename the source package back to libmali-mtk
  * Fix the issue with firmware not installed for mt8188

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 18 Jan 2024 12:54:16 +0100

libmali-mtk (43p0+d1985cb-0ubuntu5) jammy; urgency=medium

  [ Loïc Minier ]
  * Encode git sha in upstream version.
  * Simplify reading of targets and remove generated files in clean.
  * Use upstream Makefile for installation into package specific directories.
    - Add patch fix-firmware-install to fix upstream install when there are no
      firmware.
    - Add patch fix-data-files-perms to fix permissions of installed data files
      to be 644 instead of the 755 default.
  * Use debhelper style substitutions instead of sed.
  * Don't override override_dh_auto_binary.
  * Move common maintainer scripts snippets to debian/functions.sh.
  * postrm: move debhelper generated logic above the package specific logic.
  * Add unit tests for libmali_mtk_get_cpu() using shunit2 as build-dep.

  [ Asal Mirzaieva ]
  * Add support for g510(mt8188)

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 16 Jan 2024 15:35:00 +0100

libmali-mtk (43p0-0ubuntu4) jammy; urgency=medium

  * Update to the latest libmali.
  * Add packaging readme(README.debian).

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Wed, 11 Oct 2023 15:32:14 +0200

libmali-mtk (43p0-0ubuntu3) jammy; urgency=medium

  * Install OpenCL and Vulkan libraries and icd files

 -- Hon Ming Hui <honming.hui@canonical.com>  Wed, 12 Jul 2023 12:19:19 +0100

libmali-mtk (43p0-0ubuntu2) jammy; urgency=medium

  * Fix log prints, script typo.

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 06 Jun 2023 11:01:22 +0200

libmali-mtk (43p0-0ubuntu1) jammy; urgency=medium

  * EGL Mali libraries for Mediatel mt8195/mt8365/mt8188. Binaries from
    https://gitlab.com/mediatek/aiot/rity/libmali/-/tree/kirkstone
    branch kirkstone, release r43p0.

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 06 Jun 2023 11:01:22 +0200

## libmali-mtk 48p0+git20241205.ba78630

=== debian/changelog ===
libmali-mtk (48p0+git20241205.ba78630-0ubuntu5) jammy; urgency=medium

  * d/functions.sh: update gpu detection function for changes of gpuinfo (LP: #2092371)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 25 Dec 2024 16:54:32 +0800

libmali-mtk (48p0+git20241205.ba78630-0ubuntu4) jammy; urgency=medium

  * Remove the Conflicts/Replaces/Provides logic

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 05 Dec 2024 08:33:36 +0000

libmali-mtk (48p0+git20241128.b3577b2-0ubuntu3) jammy; urgency=medium

  * Provide mesa-vulkan-drivers
  * Apply patches to r48p0 instead of r43p0

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 28 Nov 2024 09:10:18 +0000

=== debian/control ===
Source: libmali-mtk
Maintainer: Asal Mirzaieva <asa.mirzaieva@canonical.com>
Section: libs
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 13), libwayland-client0, libwayland-server0, libdrm2, shunit2

Package: libmali-mtk-8195
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mali GLX/EGL/GLES libraries for mediatek mt8195.
 This package provides Mali GLX/EGL/GLES libraries for the mediatek g1200 board.

Package: libmali-mtk-8365
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mali GLX/EGL/GLES libraries for mediatek mt8365.
 This package provides Mali GLX/EGL/GLES libraries for the mediatek g350 board.

Package: libmali-mtk-8188
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mali GLX/EGL/GLES libraries for mediatek mt8188.
 This package provides Mali GLX/EGL/GLES libraries for the mediatek g700 board.
